Bug 1191803 - Review Request: nodejs-statuses - HTTP status utility
Summary: Review Request: nodejs-statuses - HTTP status utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-12 03:00 UTC by Parag Nemade
Modified: 2015-03-08 22:46 UTC (History)
2 users (show)

Fixed In Version: nodejs-statuses-1.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-01 06:51:10 UTC
Type: ---
tdawson: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2015-02-12 03:00:18 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-statuses.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-statuses-1.2.1-1.fc21.src.rpm
Description: HTTP status utility

Fedora Account System Username: pnemade

Comment 1 Troy Dawson 2015-02-13 16:54:17 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- None, looks very good.


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/quake/1191803-nodejs-statuses/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-statuses-1.2.1-1.fc22.noarch.rpm
          nodejs-statuses-1.2.1-1.fc22.src.rpm
nodejs-statuses.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Requires
--------
nodejs-statuses (rpmlib, GLIBC filtered):
    nodejs(engine)


Provides
--------
nodejs-statuses:
    nodejs-statuses
    npm(statuses)


Source checksums
----------------
https://github.com/jshttp/statuses/archive/v1.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : afbf297f8bc10d20164c70569eeb76f5a2791ea3d2d8c208b2b2da54b132e439
  CHECKSUM(SHA256) upstream package : afbf297f8bc10d20164c70569eeb76f5a2791ea3d2d8c208b2b2da54b132e439

Comment 2 Troy Dawson 2015-02-13 16:55:06 UTC
Looks very good and passes everything.  Approved.

Comment 3 Parag Nemade 2015-02-14 01:10:05 UTC
Thank you Troy for this quick review.

New Package SCM Request
=======================
Package Name: nodejs-statuses
Short Description: HTTP status utility
Upstream URL: https://github.com/jshttp/statuses
Owners: pnemade
Branches:  f20 f21 f22 el6 epel7
InitialCC:

Comment 4 Gwyn Ciesla 2015-02-16 14:23:36 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-02-16 16:13:13 UTC
nodejs-statuses-1.2.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-statuses-1.2.1-1.fc21

Comment 6 Fedora Update System 2015-02-16 16:20:03 UTC
nodejs-statuses-1.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-statuses-1.2.1-1.fc20

Comment 7 Fedora Update System 2015-02-16 16:29:16 UTC
nodejs-statuses-1.2.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-statuses-1.2.1-1.el7

Comment 8 Fedora Update System 2015-02-17 08:10:42 UTC
nodejs-statuses-1.2.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Fedora Update System 2015-02-20 07:10:34 UTC
nodejs-statuses-1.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-statuses-1.2.1-2.fc20

Comment 10 Fedora Update System 2015-02-20 07:11:17 UTC
nodejs-statuses-1.2.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-statuses-1.2.1-2.fc21

Comment 11 Fedora Update System 2015-03-01 06:51:10 UTC
nodejs-statuses-1.2.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-03-01 06:51:33 UTC
nodejs-statuses-1.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-03-08 22:46:57 UTC
nodejs-statuses-1.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.